# Watomatic - Auto reply for WhatsApp so you can stop using it

Watomatic sends an automated reply to everyone contacting you on WhatsApp. This is especially useful if you are planning to migrate away from WhatsApp but can also be used as a vacation responder.

| [Google Play Store](https://play.google.com/store/apps/details?id=com.parishod.watomatic&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1)   |  [IzzyOnDroid](https://apt.izzysoft.de/fdroid/index/apk/com.parishod.watomatic)   |
| ------------- | ------------- |
| <a href='https://play.google.com/store/apps/details?id=com.parishod.watomatic&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png'/></a>       | <a href='https://apt.izzysoft.de/fdroid/index/apk/com.parishod.watomatic'><img alt='Get it on F-Droid via IzzyOnDroid' src='https://gitlab.com/IzzyOnDroid/repo/-/raw/master/assets/IzzyOnDroid.png'/></a>  |

[Screenshots](./media/screenshots/)

### Features:
- Auto reply to every WhatsApp message
- Set your own auto reply message
- Auto reply to group chats
- Respects your privacy
  - No analytics or tracking
  - Does not connect to Internet
- Free an open source

WhatsApp's recent privacy policy changes have triggered a huge migration to more privacy friendly apps like Signal and others. But most of us find it difficult to delete WhatsApp because everyone else uses it. Watomatic tries to make your migration easier by letting your friends automatically know that you are moved to another app. Just set an auto reply message something like “I am not using WhatsApp anymore. Please use Signal…” and let it do the work for you.

This app is not associated with any company including WhatsApp, Facebook, Signal.

### Troubleshooting

- Auto reply does not work even after Watomatic is enabled
  
  Watomatic relies on WhatsApp notifications for auto reply to work. Most users usually have notifications enabled so should work straight out of the box but otherwise please make sure WhatsApp notifications are enabled and WhatsApp fingerprint lock is disabled for this app to work.

### FAQ

- Why not use WhatsApp business account for auto replies?
  
  You cannot use business account without accepting the new privacy policy that everyone is trying to avoid.

- Will this be available for iOS in the future
  
  This app relies on Android specific notification quick replies feature to function. I am not aware of similar functionality on iOS but will look into it.

Missing any features? Let us know in the [issues](https://github.com/adeekshith/watomatic/issues)!

### Like to help?

Your great responses already fill my heart with joy and that alone keeps me going.
But if you can, here are a few ways you can help: 

- I am happy to take care of development costs as long as I can but to make it sustainable and to help
  me focus on development and not on monetizing the product, please consider being a patron
  [![Liberapay Watomatic](https://img.shields.io/liberapay/patrons/dk.svg?logo=liberapay)](https://liberapay.com/dk/donate)
  or buy me coffee [paypal.me/deek](https://paypal.me/deek). Would like to mention that even a few cent
  symbolic contribution means something so go for it 😊
- Other ways to help include find issues, join [r/watomatic](https://www.reddit.com/r/watomatic/)
  and help fellow users or post interesting content to engage the community, promote the app in your circles
  and any other way of help is welcome. I would love code contributions too. Will try to better organize
  the code in the near future and setup contribution guidelines so you can start submitting your code.
  Star or follow this repository to keep updated.
- Also reviewing the app on [play store](https://play.google.com/store/apps/details?id=com.parishod.watomatic)
  is one of the easiest ways you can contribute so do not forget 😃 
